(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15111,        403]
NotebookOptionsPosition[     14743,        387]
NotebookOutlinePosition[     15123,        403]
CellTagsIndexPosition[     15080,        400]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Off", "[", 
  StyleBox[
   RowBox[{"GraphicsArray", "::", "obs"}], "MessageName"], "]"}]], "Input",
 CellChangeTimes->{{3.607831948875*^9, 3.607831952109375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "f", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], ":=", 
   RowBox[{"t", "+", 
    RowBox[{
     FractionBox["7", "10"], "*", 
     SuperscriptBox["t", "2"]}], "+", 
    RowBox[{
     FractionBox["7", "10"], "*", 
     SuperscriptBox["t", "3"]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t1", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t2", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plr", "=", 
   RowBox[{"{", 
    RowBox[{"Automatic", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.1"}], ",", 
       RowBox[{
        RowBox[{"f", "[", "t2", "]"}], "+", "0.5"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pl1", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"f", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "t1", ",", "t2"}], "}"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<t\>\"", ",", "\"\<f[t]\>\""}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "plr"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intZcelaSpravne", "=", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"f", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "t1", ",", "t2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"numerickySpravne", "=", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{"f", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "t1", ",", "t2"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n0", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nmax", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalDelta]t", "=", 
     FractionBox[
      RowBox[{"t2", "-", "t1"}], 
      RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
    RowBox[{"tecka", "=", 
     RowBox[{"Range", "[", 
      RowBox[{"t1", ",", "t2", ",", "\[CapitalDelta]t"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"efka", "=", 
     RowBox[{"f", "@", "tecka"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"obdelnikyDolni", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{"Brown", ",", 
          RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
          RowBox[{"Rectangle", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"#", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"#", "+", "\[CapitalDelta]t"}], ",", 
              RowBox[{"f", "[", "#", "]"}]}], "}"}]}], "]"}]}], "}"}], "]"}], 
       "&"}], "/@", 
      RowBox[{"Take", "[", 
       RowBox[{"tecka", ",", 
        RowBox[{"n", "-", "1"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"lines", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
          RowBox[{"Opacity", "[", "1", "]"}], ",", 
          RowBox[{"PointSize", "[", "0.008", "]"}], ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"#", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{"f", "[", "#", "]"}]}], "}"}]}], "}"}], "]"}]}], "}"}],
         "]"}], "&"}], "/@", "tecka"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"bodyt", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", "0", "]"}], ",", 
          RowBox[{"Opacity", "[", "1", "]"}], ",", 
          RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"#", ",", "0"}], "}"}], "]"}]}], "}"}], "]"}], "&"}], "/@",
       "tecka"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"plDolni", "=", 
     RowBox[{"Show", "[", 
      RowBox[{"pl1", ",", "obdelnikyDolni", ",", "lines", ",", "bodyt", ",", 
       RowBox[{"PlotRange", "\[Rule]", "plr"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"obdelnikyHorni", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{"Orange", ",", 
          RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
          RowBox[{"Rectangle", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"#", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"#", "+", "\[CapitalDelta]t"}], ",", 
              RowBox[{"f", "[", 
               RowBox[{"#", "+", "\[CapitalDelta]t"}], "]"}]}], "}"}]}], 
           "]"}]}], "}"}], "]"}], "&"}], "/@", 
      RowBox[{"Take", "[", 
       RowBox[{"tecka", ",", 
        RowBox[{"n", "-", "1"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"obdelnikyStred", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
          RowBox[{"Rectangle", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"#", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"#", "+", "\[CapitalDelta]t"}], ",", 
              RowBox[{"f", "[", 
               RowBox[{"#", "+", 
                RowBox[{"0.5", "\[CapitalDelta]t"}]}], "]"}]}], "}"}]}], 
           "]"}]}], "}"}], "]"}], "&"}], "/@", 
      RowBox[{"Take", "[", 
       RowBox[{"tecka", ",", 
        RowBox[{"n", "-", "1"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"plHorni", "=", 
     RowBox[{"Show", "[", 
      RowBox[{"pl1", ",", "obdelnikyHorni", ",", "lines", ",", "bodyt"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"bodyStred", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", "0", "]"}], ",", 
          RowBox[{"Opacity", "[", "1", "]"}], ",", 
          RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"#", ",", "0"}], "}"}], "]"}]}], "}"}], "]"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"t1", "+", 
         RowBox[{"0.5", "\[CapitalDelta]t"}]}], ",", 
        RowBox[{"t2", "-", 
         RowBox[{"0.5", "\[CapitalDelta]t"}]}], ",", "\[CapitalDelta]t"}], 
       "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"linesStred", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
          RowBox[{"Opacity", "[", "1", "]"}], ",", 
          RowBox[{"PointSize", "[", "0.008", "]"}], ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"#", "+", 
                RowBox[{"0.5", "\[CapitalDelta]t"}]}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"#", "+", 
                RowBox[{"0.5", "\[CapitalDelta]t"}]}], ",", 
               RowBox[{"f", "[", 
                RowBox[{"#", "+", 
                 RowBox[{"0.5", "\[CapitalDelta]t"}]}], "]"}]}], "}"}]}], 
            "}"}], "]"}]}], "}"}], "]"}], "&"}], "/@", "tecka"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"plStred", "=", 
     RowBox[{"Show", "[", 
      RowBox[{
      "pl1", ",", "obdelnikyStred", ",", "linesStred", ",", "bodyStred"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"intDolni", "=", 
     RowBox[{"\[CapitalDelta]t", "*", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{"N", "[", 
         RowBox[{"f", "/@", 
          RowBox[{"Range", "[", 
           RowBox[{"t1", ",", 
            RowBox[{"t2", "-", "\[CapitalDelta]t"}], ",", 
            "\[CapitalDelta]t"}], "]"}]}], "]"}], ")"}]}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"intHorni", "=", 
     RowBox[{"\[CapitalDelta]t", "*", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{"N", "[", 
         RowBox[{"f", "/@", 
          RowBox[{"Range", "[", 
           RowBox[{
            RowBox[{"t1", "+", "\[CapitalDelta]t"}], ",", "t2", ",", 
            "\[CapitalDelta]t"}], "]"}]}], "]"}], ")"}]}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"intStred", "=", 
     RowBox[{"\[CapitalDelta]t", "*", 
      RowBox[{"Plus", "@@", 
       RowBox[{"(", 
        RowBox[{"N", "[", 
         RowBox[{"f", "/@", 
          RowBox[{"Range", "[", 
           RowBox[{
            RowBox[{"t1", "+", 
             RowBox[{"0.5", "\[CapitalDelta]t"}]}], ",", 
            RowBox[{"t2", "-", 
             RowBox[{"0.5", "\[CapitalDelta]t"}]}], ",", "\[CapitalDelta]t"}],
            "]"}]}], "]"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vysSred", "=", 
     RowBox[{"Show", "[", 
      RowBox[{"plStred", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<intStred= \>\"", ",", 
          RowBox[{"ToString", "[", "intStred", "]"}], ",", 
          "\"\<,  \[Delta]= \>\"", ",", 
          RowBox[{"ToString", "[", 
           FractionBox[
            RowBox[{"100", 
             RowBox[{"(", 
              RowBox[{"intStred", "-", "numerickySpravne"}], ")"}]}], 
            "numerickySpravne"], "]"}], ",", "\"\<  %\>\""}], "]"}]}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vysDolni", "=", 
     RowBox[{"Show", "[", 
      RowBox[{"plDolni", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<intDolni= \>\"", ",", 
          RowBox[{"ToString", "[", "intDolni", "]"}], ",", 
          "\"\<,  \[Delta]= \>\"", ",", 
          RowBox[{"ToString", "[", 
           FractionBox[
            RowBox[{"100", 
             RowBox[{"(", 
              RowBox[{"intDolni", "-", "numerickySpravne"}], ")"}]}], 
            "numerickySpravne"], "]"}], ",", "\"\<  %\>\""}], "]"}]}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vysHorni", "=", 
     RowBox[{"Show", "[", 
      RowBox[{"plHorni", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<intHorni= \>\"", ",", 
          RowBox[{"ToString", "[", "intHorni", "]"}], ",", 
          "\"\<,  \[Delta]= \>\"", ",", 
          RowBox[{"ToString", "[", 
           FractionBox[
            RowBox[{"100", 
             RowBox[{"(", 
              RowBox[{"intHorni", "-", "numerickySpravne"}], ")"}]}], 
            "numerickySpravne"], "]"}], ",", "\"\<  %\>\""}], "]"}]}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vysArray", "=", 
     RowBox[{"GraphicsArray", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "vysDolni", "}"}], ",", 
        RowBox[{"{", "vysHorni", "}"}], ",", 
        RowBox[{"{", "vysSred", "}"}]}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"vysDolni", ",", "vysHorni", ",", "vysSred", ",", "vysArray"}], 
      "}"}], "[", 
     RowBox[{"[", "i", "]"}], "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "n0"}], "}"}], ",", "n0", ",", "nmax", ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "\"\<pripad\>\""}], "}"}], ",", 
     RowBox[{"Range", "[", "4", "]"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Top", ",", "Top"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.495032864671875*^9, 3.4950329326875*^9}, {
   3.49503303003125*^9, 3.49503304153125*^9}, {3.4950331473125*^9, 
   3.495033201875*^9}, {3.495033246703125*^9, 3.4950332625*^9}, {
   3.4950333243125*^9, 3.495033472453125*^9}, {3.495033508171875*^9, 
   3.49503355815625*^9}, {3.49503382246875*^9, 3.49503394075*^9}, {
   3.49503401409375*^9, 3.495034032765625*^9}, {3.49503414240625*^9, 
   3.495034378421875*^9}, {3.495034454171875*^9, 3.49503456584375*^9}, {
   3.49503462828125*^9, 3.495034638109375*^9}, {3.4950346905625*^9, 
   3.495034791953125*^9}, {3.49503483684375*^9, 3.495034871296875*^9}, {
   3.49503494125*^9, 3.4950349565625*^9}, {3.495035000015625*^9, 
   3.495035061703125*^9}, {3.4950351158125*^9, 3.49503517265625*^9}, {
   3.4950352105625*^9, 3.495035291421875*^9}, 3.4950354515*^9, {
   3.495035522109375*^9, 3.495035652125*^9}, {3.495035685359375*^9, 
   3.495035709015625*^9}, 3.4950359141875*^9, {3.495035969921875*^9, 
   3.495035997203125*^9}, 3.49503637696875*^9, {3.49503644596875*^9, 
   3.495036736296875*^9}, {3.495036891046875*^9, 3.495037020234375*^9}, {
   3.495037064125*^9, 3.495037216359375*^9}, {3.495037305640625*^9, 
   3.4950373515625*^9}, {3.4950373928125*^9, 3.495037402859375*^9}, {
   3.495037514046875*^9, 3.49503755890625*^9}, {3.495037599453125*^9, 
   3.495037619953125*^9}, {3.49503767484375*^9, 3.495037723546875*^9}, {
   3.4950377656875*^9, 3.49503779503125*^9}, {3.49503788846875*^9, 
   3.495037942578125*^9}, {3.49503807775*^9, 3.495038119765625*^9}, {
   3.49503816065625*^9, 3.4950381785*^9}, {3.49503841325*^9, 
   3.495038444328125*^9}, {3.495038486703125*^9, 3.495038489890625*^9}, {
   3.495038524609375*^9, 3.4950385456875*^9}, {3.495038590234375*^9, 
   3.495038591203125*^9}, {3.495038716*^9, 3.4950387548125*^9}, {
   3.49503879246875*^9, 3.495038808*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.495038031703125*^9, 3.495038045765625*^9}}]
},
WindowSize->{1111, 679},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.6000001430511475`,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 186, 4, 46, "Input"],
Cell[734, 26, 13910, 356, 1847, "Input"],
Cell[14647, 384, 92, 1, 46, "Input"]
}
]
*)

(* End of internal cache information *)
